SparkProgressService (base API)
Date: 2019-04-05

com.twosigma.beakerx.jvm.object

## Class SparkProgressService

- java.lang.Object
- - com.twosigma.beakerx.jvm.object.SparkProgressService

-     public class SparkProgressService
      extends java.lang.Object

  The SparkProgressService reports the progress of tasks and stages during a running Spark job.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SparkProgressService.ApplicationProgress`
    `static class` | `SparkProgressService.JobProgress`
    `static class` | `SparkProgressService.SparkProgress`
    `static class` | `SparkProgressService.StageProgress`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SparkProgressService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `SparkProgressService.SparkProgress` | `getProgress()`
    `void` | `jobEnd(int jobId, java.util.List<java.lang.String> executorIds)`
    `void` | `jobStart(int jobId, java.util.List<java.lang.String> executorIds)`
    `void` | `stageEnd(int stageId, java.lang.String failureReason)`
    `void` | `stageStart(int stageId, int numTasks)`
    `void` | `taskEnd(int stageId, long taskId, boolean failed)`
    `void` | `taskStart(int stageId, long taskId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SparkProgressService

          public SparkProgressService()

  - ### Method Detail

    - #### getProgress

          public SparkProgressService.SparkProgress getProgress()

    - #### clear

          public void clear()

    - #### jobStart

          public void jobStart(int jobId,
                               java.util.List<java.lang.String> executorIds)

    - #### jobEnd

          public void jobEnd(int jobId,
                             java.util.List<java.lang.String> executorIds)

    - #### stageStart

          public void stageStart(int stageId,
                                 int numTasks)

    - #### stageEnd

          public void stageEnd(int stageId,
                               java.lang.String failureReason)

    - #### taskStart

          public void taskStart(int stageId,
                                long taskId)

    - #### taskEnd

          public void taskEnd(int stageId,
                              long taskId,
                              boolean failed)